### org.jfree.layouting.input.style.parser

# Class StyleSheetHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.StyleSheetHandler`

Implemented Interfaces:
  DocumentHandler, ErrorHandler

`public class StyleSheetHandler`
`extends java.lang.Object`
`implements DocumentHandler, ErrorHandler`

Creation-Date: 23.11.2005, 13:06:06

Author:
  Thomas Morgner

  ## Constructor Summary

  `StyleSheetHandler()`

  ## Method Summary

  `void`

  `comment(String text)`
    Receive notification of a comment.

  `void`

  `endDocument(InputSource source)`
    Receive notification of the end of a document.

  `void`

  `endFontFace()`
    Receive notification of the end of a font face statement.

  `void`

  `endMedia(SACMediaList media)`
    Receive notification of the end of a media statement.

  `void`

  `endPage(String name, String pseudo_page)`
    Receive notification of the end of a media statement.

  `void`

  `endSelector(SelectorList selectors)`
    Receive notification of the end of a rule statement.

  `void`

  `error(CSSParseException exception)`
    Receive notification of a recoverable error.

  `void`

  `fatalError(CSSParseException exception)`
    Receive notification of a non-recoverable error.

  `String`

  `getDefaultNamespaceURI()`

  `DependencyCollector`

  `getDependencies()`

  `protected StyleRule`

  `getParentRule()`

  `ResourceManager`

  `getResourceManager()`

  `ResourceKey`

  `getSource()`

  `CSSDeclarationRule`

  `getStyleRule()`

  `StyleSheet`

  `getStyleSheet()`

  `void`

  `ignorableAtRule(String atRule)`
    Receive notification of an unknown rule t-rule not supported by this parser.

  `void`

  `importStyle(String uri, SACMediaList media, String defaultNamespaceURI)`
    Receive notification of a import statement in the style sheet.

  `void`

  `init(ResourceManager manager, ResourceKey source, long version, StyleKeyRegistry registry, StyleRule parentRule)`

  `void`

  `initParseContext(InputSource source)`

  `void`

  `namespaceDeclaration(String prefix, String uri)`
    Receive notification of an unknown rule t-rule not supported by this parser.

  `void`

  `property(String name, LexicalUnit value, boolean important)`
    Receive notification of a declaration.

  `void`

  `registerNamespace(String prefix, String uri)`

  `void`

  `setDefaultNamespaceURI(String defaultNamespace)`

  `void`

  `setStyleRule(CSSDeclarationRule styleRule)`

  `void`

  `setStyleSheet(StyleSheet styleSheet)`

  `void`

  `startDocument(InputSource source)`
    Receive notification of the beginning of a style sheet.

  `void`

  `startFontFace()`
    Receive notification of the beginning of a font face statement.

  `void`

  `startMedia(SACMediaList media)`
    Receive notification of the beginning of a media statement.

  `void`

  `startPage(String name, String pseudo_page)`
    Receive notification of the beginning of a page statement.

  `void`

  `startSelector(SelectorList selectors)`
    Receive notification of the beginning of a rule statement.

  `void`

  `warning(CSSParseException exception)`
    Receive notification of a warning.

## Constructor Details

### StyleSheetHandler

    public StyleSheetHandler()

## Method Details

### comment

    public void comment(String text)
                throws CSSException

> Receive notification of a comment. If the comment appears in a declaration (e.g. color: /* comment * / blue;), the parser notifies the comment before the declaration.
> Parameters:
>   `text` - The comment.

### endDocument

    public void endDocument(InputSource source)
                throws CSSException

> Receive notification of the end of a document.

> The CSS parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.
> Parameters:
>   `source` - the input source

### endFontFace

    public void endFontFace()
                throws CSSException

> Receive notification of the end of a font face statement.

### endMedia

    public void endMedia(SACMediaList media)
                throws CSSException

> Receive notification of the end of a media statement.
> Parameters:
>   `media` - The intended destination media for style information.

### endPage

    public void endPage(String name,
                        String pseudo_page)
                throws CSSException

> Receive notification of the end of a media statement.
> Parameters:
>   `name` - The intended destination medium for style information.
>   `pseudo_page` - the pseudo page (if any, null otherwise)

### endSelector

    public void endSelector(SelectorList selectors)
                throws CSSException

> Receive notification of the end of a rule statement.
> Parameters:
>   `selectors` - All intended selectors for all declarations.

### error

    public void error(CSSParseException exception)
                throws CSSException

> Receive notification of a recoverable error.

> This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

> The CSS parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.
> Parameters:
>   `exception` - The error information encapsulated in a CSS parse exception.
> See Also:
>   `CSSParseException`

### fatalError

    public void fatalError(CSSParseException exception)
                throws CSSException

> Receive notification of a non-recoverable error.

> This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

> The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, CSS parsers are free to stop reporting any other events once this method has been invoked.
> Parameters:
>   `exception` - The error information encapsulated in a CSS parse exception.
> See Also:
>   `CSSParseException`

### getDefaultNamespaceURI

    public String getDefaultNamespaceURI()

### getDependencies

    public DependencyCollector getDependencies()

### getParentRule

    protected StyleRule getParentRule()

### getResourceManager

    public ResourceManager getResourceManager()

### getSource

    public ResourceKey getSource()

### getStyleRule

    public CSSDeclarationRule getStyleRule()

### getStyleSheet

    public StyleSheet getStyleSheet()

### ignorableAtRule

    public void ignorableAtRule(String atRule)
                throws CSSException

> Receive notification of an unknown rule t-rule not supported by this parser.
> Parameters:
>   `atRule` - The complete ignored at-rule.

### importStyle

    public void importStyle(String uri,
                            SACMediaList media,
                            String defaultNamespaceURI)
                throws CSSException

> Receive notification of a import statement in the style sheet.
> Parameters:
>   `uri` - The URI of the imported style sheet.
>   `media` - The intended destination media for style information.
>   `defaultNamespaceURI` - The default namespace URI for the imported style sheet.

### init

    public void init(ResourceManager manager,
                     ResourceKey source,
                     long version,
                     StyleKeyRegistry registry,
                     StyleRule parentRule)

### initParseContext

    public void initParseContext(InputSource source)

### namespaceDeclaration

    public void namespaceDeclaration(String prefix,
                                     String uri)
                throws CSSException

> Receive notification of an unknown rule t-rule not supported by this parser.
> Parameters:
>   `prefix` - `null` if this is the default namespace
>   `uri` - The URI for this namespace.

### property

    public void property(String name,
                         LexicalUnit value,
                         boolean important)
                throws CSSException

> Receive notification of a declaration.
> Parameters:
>   `name` - the name of the property.
>   `value` - the value of the property. All whitespace are stripped.
>   `important` - is this property important ?

### registerNamespace

    public void registerNamespace(String prefix,
                                  String uri)

### setDefaultNamespaceURI

    public void setDefaultNamespaceURI(String defaultNamespace)

### setStyleRule

    public void setStyleRule(CSSDeclarationRule styleRule)

### setStyleSheet

    public void setStyleSheet(StyleSheet styleSheet)

### startDocument

    public void startDocument(InputSource source)
                throws CSSException

> Receive notification of the beginning of a style sheet.

> The CSS parser will invoke this method only once, before any other methods in this interface.
> Parameters:
>   `source` - the input source

### startFontFace

    public void startFontFace()
                throws CSSException

> Receive notification of the beginning of a font face statement.

> The Parser will invoke this method at the beginning of every font face statement in the style sheet. there will be a corresponding endFontFace() event for every startFontFace() event.

### startMedia

    public void startMedia(SACMediaList media)
                throws CSSException

> Receive notification of the beginning of a media statement.

> The Parser will invoke this method at the beginning of every media statement in the style sheet. there will be a corresponding endMedia() event for every startElement() event.
> Parameters:
>   `media` - The intended destination media for style information.

### startPage

    public void startPage(String name,
                          String pseudo_page)
                throws CSSException

> Receive notification of the beginning of a page statement.

> The Parser will invoke this method at the beginning of every page statement in the style sheet. there will be a corresponding endPage() event for every startPage() event.
> Parameters:
>   `name` - the name of the page (if any, null otherwise)
>   `pseudo_page` - the pseudo page (if any, null otherwise)

### startSelector

    public void startSelector(SelectorList selectors)
                throws CSSException

> Receive notification of the beginning of a rule statement.
> Parameters:
>   `selectors` - All intended selectors for all declarations.

### warning

    public void warning(CSSParseException exception)
                throws CSSException

> Receive notification of a warning.

> CSS parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

> The CSS parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.
> Parameters:
>   `exception` - The warning information encapsulated in a CSS parse exception.
> See Also:
>   `CSSParseException`